Name:           gruvbox-gtk-theme
Version:        0
Release:        b5f8884c.1.g%{?dist}
Summary:        A GTK theme based on the Gruvbox colour palette

License:        GPL-3.0-or-later
URL:            https://github.com/Fausto-Korpsvart/Gruvbox-GTK-Theme

%global commit b5f8884cb6505caef81f5e0f7ee9286306ce8b26

Source0:        %{URL}/archive/%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  sassc
Requires:       gtk-update-icon-cache

%description
A GTK theme based on the Gruvbox colour palette, with icon tweaks and optional macOS-style refinements.

%prep
%autosetup -n Gruvbox-GTK-Theme-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/themes
install -dm 755 %{buildroot}/usr/share/icons

cd themes
./install.sh -l --tweaks macos -d %{buildroot}/usr/share/themes

cp -a ../icons/Gruvbox-Dark %{buildroot}/usr/share/icons/

%files
%license LICENSE
%doc README.md
/usr/share/themes/*
/usr/share/icons/Gruvbox-Dark

%changelog
* Sat Apr 19 2025 15:09 Little Owl <littleowl@athenaos.org>
- Synced with upstream
